{{define "admin/sidebar"}}
<div class="col-2 sidebar bg-light">
  <nav class="sidebar-sticky">
    <ul class="nav flex-column nav-pills">
      <li class="nav-item">
      <a class="nav-link {{if .console}} active{{end}}" href="/admin/console">Console</a>
      </li>
      <li class="nav-item">
      <a class="nav-link {{if .locations}} active{{end}}" href="/admin/locations">Locations</a>
      </li>
    </ul>
  </nav>
</div>
{{end}}

{{define "admin/slots-form"}}
<form action="/admin/setLocked" class="form-group col" method="POST">
  {{range .}}
  <div class="form-check form-switch{{if .Checked}} bg-success{{end}}">
    <input type="checkbox" class="form-check-input" name="locked" value="{{.SlotID}}" id="locked{{.SlotID}}"{{if .Checked}} checked{{end}}>
    <label class="form-check-label" for="locked{{.SlotID}}">{{.TimeDisplay}}</label>
  </div>
  {{end}}
  <input type="submit" value="Update locked slots" class="btn btn-primary">
</form>
{{end}}

{{define "admin/console"}}
<div class="row">
  {{template "admin/sidebar" .}}
  <div class="col-10">
    <h2>Admin console</h2>
    <div class="container">
      <p>Verification code: <strong>{{.Vcode}}</strong></p>
      <!-- FIXME: Add this information to the database
      <p>
        Last Schedule update: <strong>{{.SinceLastSchedule}}</strong>
        {{if .IsStale}}
        <span class="badge bg-danger">Stale</span>
        {{end}}
        {{if .IsCurrent}}
        <span class="badge bg-success">Current</span>
        {{end}}
        {{if .IsInProgress}}
        <span class="badge bg-warning">In Progress</span>
        {{end}}
      </p>
      -->
    </div>
    <ul class="list-group">
      <li class="list-group-item">
      <form action="/admin/runschedule" method="POST">
      <input type="submit" value="Run Scheduler" class="btn btn-primary">
      </form>
      </li>
      <li class="list-group-item">
      <form action="/admin/setvcode" method="POST">
      <input type="submit" value="Set Verification Code" class="btn btn-primary">
      <label for="vcode">New verification code</label>
      <input type="text" id="vcode" name="vcode" value="{{.Vcode}}">
      </form>
      </li>
      <li class="list-group-item">
	<form action="/admin/setstatus" method="POST">
          <div class="form-check form-switch">
	    <input type="checkbox" class="form-check-input" name="status" value="websiteActive" id="website" {{if .IsWebsiteActive}} checked{{end}} onChange="this.form.submit()">
	    <label class="form-check-label" for="website">Website 'Active'</label>
	  </div>
          <div class="form-check form-switch">
	    <input type="checkbox" class="form-check-input" name="status" value="scheduleActive" id="schedule" {{if .IsScheduleActive}} checked{{end}} onChange="this.form.submit()">
	    <label class="form-check-label" for="schedule">Schedule 'Active'</label>
	  </div>
          <div class="form-check form-switch">
	    <input type="checkbox" class="form-check-input" name="status" value="vcodeSent" id="vcodesent" {{if .IsVcodeSent}} checked{{end}} onChange="this.form.submit()">
	    <label class="form-check-label" for="vcodesent">Verification Code Sent</label>
	  </div>
          <div class="form-check form-switch">
	    <input type="checkbox" class="form-check-input" name="status" value="requireVerification" id="verification" {{if .RequireVerification}} checked{{end}} onChange="this.form.submit()">
	    <label class="form-check-label" for="verification">Require verification for new accounts and sessions</label>
	  </div>
	  <input type="submit" value="Set" class="btn btn-primary noscript">
	  <script>
	  $('.noscript').hide();
	  </script>
	</form>
      </li>
      <li class="list-group-item">
      <legend>Locked slots (won't be rescheduled)</legend>
      {{template "admin/slots-form" .LockedSlots}}
      </li>
    </ul>
  </div>
</div>
{{end}}

{{define "admin/locations"}}
<div class="row">
  {{template "admin/sidebar" .}}
  <div class="col-10">
    <h2>Location setup</h2>
     <div class="container">
     {{range .Locations}}
       <form action="updateLocation" method="POST">
       <div class="form-row">
       <input type="hidden" id="locID" name="locID" value="{{.LocationID}}">
       <div class="col-auto"><label for="locName">Location Name</label><input id="locName" name="locName" type="text" class="form-control" value="{{.LocationName}}"></div>
       <div class="col-auto"><label for="locURL">URL</label><input id="locURL" name="locURL" type="text" class="form-control" size=50 value="{{.LocationURL}}"></div>
       <div class="col-auto"><label for="locCapacity">Capacity</label><input id="locCapacity" name="locCapacity" type="text" class="form-control" size=6 value="{{.Capacity}}"></div>
       <div class="col-auto"><input type="submit" value="Update Location" class="btn btn-secondary"></div>
       </div>
      </form>

     {{end}}
       <form action="newLocation" method="POST">
       <div class="form-row">
       <div class="col-auto"><label for="locName">Location Name</label><input id="locName" name="locName" type="text" class="form-control"></div>
       <div class="col-auto"><label for="locURL">URL</label><input id="locURL" name="locURL" type="text" class="form-control" size=50></div>
       <div class="col-auto"><label for="locCapacity">Capacity</label><input id="locCapacity" name="locCapacity" type="text" class="form-control" size=6></div>
       <div class="col-auto"><input type="submit" value="Add Location" class="btn btn-primary"></div>
       </div>
      </form>
    </div>
  </div>
</div>
{{end}}

